Request a Token

This endpoint is used to request a token from the authorization server. If requesting an initial token in the Authorization Code grant, an authorization code, client ID, and client secret must be provided. If requesting to refresh an existing token in the Authorization Code grant, a refresh token, client ID, and client secret must be provided. If requesting a token via the Client Credentials grant, a client ID and secret must be provided. See endpoint specification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

The grant type for the request. Must be set to 'authorization_code' for the Authorization Code grant initial token request.

Allowed:
string
required

The authorization code received from the authorization server.

string
required

The client applications redirect URI. Must be registered on the client application and consistent throughout the authorization transaction.

string

The client ID of the client application issued at registration. Required if not provided in the Authorization header.

string

The client secret of the client application issued at registration. Required if not provided in the Authorization header.

Headers
string

The client ID and client secret of the client application in the format 'Basic <client_id:client_secret>' where client ID and secret are base64 encoded. Required if not provided in the request body.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json